---
displayed_sidebar: entitiesSidebar
---

# Class: GiftCardTransaction

## Constructors

### constructor

• **new GiftCardTransaction**()

## Properties

### amount

• **amount**: `number`

#### Defined in

[models/gift-card-transaction.ts:40](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/gift-card-transaction.ts#L40)

___

### created\_at

• **created\_at**: `Date`

#### Defined in

[models/gift-card-transaction.ts:43](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/gift-card-transaction.ts#L43)

___

### gift\_card

• **gift\_card**: [`GiftCard`](GiftCard.md)

#### Defined in

[models/gift-card-transaction.ts:29](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/gift-card-transaction.ts#L29)

___

### gift\_card\_id

• **gift\_card\_id**: `string`

#### Defined in

[models/gift-card-transaction.ts:25](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/gift-card-transaction.ts#L25)

___

### id

• **id**: `string`

#### Defined in

[models/gift-card-transaction.ts:22](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/gift-card-transaction.ts#L22)

___

### is\_taxable

• **is\_taxable**: `boolean`

#### Defined in

[models/gift-card-transaction.ts:46](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/gift-card-transaction.ts#L46)

___

### order

• **order**: [`Order`](Order.md)

#### Defined in

[models/gift-card-transaction.ts:37](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/gift-card-transaction.ts#L37)

___

### order\_id

• **order\_id**: `string`

#### Defined in

[models/gift-card-transaction.ts:33](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/gift-card-transaction.ts#L33)

___

### tax\_rate

• **tax\_rate**: ``null`` \| `number`

#### Defined in

[models/gift-card-transaction.ts:49](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/gift-card-transaction.ts#L49)

## Methods

### beforeInsert

▸ `Private` **beforeInsert**(): `void`

#### Returns

`void`

#### Defined in

[models/gift-card-transaction.ts:51](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/gift-card-transaction.ts#L51)
